/*
 * PF3DCamera class
 * Copyright (C) 2011 AQSENSE, S.L.
 */
#if !defined (PF3DCAMERA_H)
#define PF3DCAMERA_H

#if defined (_MSC_VER) && (_MSC_VER >= 1020)
#pragma once
#endif /* _MSC_VER && _MSC_VER >= 1020 */

#include <sal3d/sal3d_def.h>
#include <sal3d/frame.h>
#include <sal3d/profile.h>

enum
{
    /* Series not to coincide with sal3d or pflib errors,
       just to allow easy distinction */
    PF3DCAM_ERROR_NOT_A_CAMERA = -1100,
    PF3DCAM_ERROR_UNKNOWN      = -1101
};

enum FG_Type
{
    FG_FILE,
    FG_SISORT5,
    FG_SAPERA,
	FG_BITFLOW,
	FG_MATROX,
    FG_EURESYS,
	FG_NI,
    FG_UNKNOWN
};

enum CAM_Type
{
    CAM_3D01,
    CAM_3D02,
    CAM_3D03,
    CAM_UNKNOWN
};

enum CAM_Iface
{
    CAM_IFACE_CL,
    CAM_IFACE_GIGE,
    CAM_IFACE_UNKNOWN
};

enum GIGE_Win
{
    GIGE_WIN_DEV,
    GIGE_WIN_COMM,
    GIGE_WIN_STREAM
};

typedef int (*pf3dcam_driverconf_cb)(int cam_port, int fg_num, int port_num,
        char *fg_conf, int fg_conf_len);

typedef struct pf3dcam_camera
{
    void *p;
} pf3dcam_camera;

typedef struct pf3dcam_error
{
    int is_error; /* true or false, if there is any error to check in pf/sal3d */
    int pf; /* Error of pferror.h */
    sal3d_error sal3d; /* sal3d or Camera error */
} pf3dcam_error;

#include "camera_fun.h"

#endif /* PF3DCAMERA_H */
