#!/bin/sh
# Install Photonfocus Tools on your Linux computer.

myechon='echo -n'
if [ "x$BASH" != "x" ]; then
  myread='read -e'
else
  myread='read'
fi

# Ask the user for the directory in which PF Tools should be installed

# try to suggest a directory from an existing HALCONROOT
if [ "x$PF_ROOT" != "x" ]; then
  recomm_destdir="$PF_ROOT"
else
  recomm_destdir=/opt/photonfocus
fi
echo ""
$myechon "Which directory would you like to install Photonfocus Tools in [$recomm_destdir] "
$myread destdir
if [ "x$destdir" = "x" ]; then
  destdir="$recomm_destdir"
fi
if [ ! -d "$destdir" ]; then
  $myechon "$destdir does not exist.  Would you like it to be created (Y/n)? "
  $myread ans
  if [ "x$ans" = "x" ]; then
    ans=y
  fi
  case "$ans" in
    y|Y) mkdir -p "$destdir"
         ;;
    *)   echo "Not installing Photonfocus Tools."
         echo ""
         exit 0
       ;;
  esac
fi
if [ ! -d "$destdir" ]; then
  echo ""
  echo "Couldn't create $destdir.  Please check permissions."
  echo ""
  exit 0
fi
if [ ! -w "$destdir" -o ! -x "$destdir" ]; then
  echo ""
  echo "Cannot write or change into $destdir.  Please fix permissions by hand."
  echo ""
  exit 0
fi

set -x verbose #echo on

cp -r DR1_Tools $destdir/DR1_Tools
chmod -R  777 $destdir/DR1_Tools/Example

cp -r GigE_Tools $destdir/GigE_Tools
chmod -R  777 $destdir/GigE_Tools/eBUS_SDK_examples

cp -r PFRemote $destdir/PFRemote

cp -r SAL3D_Tools $destdir/SAL3D_Tools
chmod -R  777 $destdir/SAL3D_Tools/SDK/examples

cp -r Halcon/PhotonfocusPackage /opt/halcon/PhotonfocusPackage

cp -r Halcon/examples /opt/halcon/examples/PhotonfocusPackage

cp uninstall-linux.sh $destdir/

